| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/csobject.h File Reference

Implementation for iObject. More...

`#include "csextern.h"`
`#include "csutil/leakguard.h"`
`#include "csutil/refarr.h"`
`#include "csutil/scf_implementation.h"`
`#include "iutil/object.h"`

Go to the source code of this file.

## Classes
class | csObject
| A generic csObject class. More...
## Typedefs
typedef csRefArray< iObject > | csObjectContainer

## Detailed Description

Implementation for iObject.

Definition in file csobject.h.